PO4A-TRANSLATE.1P(1)

NOME
po4a-translate - converte un file PO in un documento nel formato originario

SINTASSI
po4a-translate -f formato -m originale.doc -p XX.po -l XX.doc

dove XX.doc è l'output e tutti gli altri sono input.

DESCRIZIONE
L'obiettivo del progetto po4a (PO per tutto) è di facilitare le traduzioni (e cosa più interessante, la manutenzione delle traduzioni) usando gli strumenti associati a gettext in aree inaspettate come la documentazione.

Il programma po4a-translate si occupa di riconvertire la traduzione (che si trova in un file PO) nel formato d'origine. Il file PO fornito deve essere la traduzione del file POT prodotto da po4a-gettextize(1).

OPZIONI

-f, --format
    Formato del documento in questione. L'opzione --help-format mostra l'elenco dei formati disponibili.

-a, --addendum
    Aggiunge un file al documento risultante; utile per inserire, ad esempio, il nome del traduttore e altre informazioni sulla traduzione. La prima riga del file da inserire deve contenere l'header PO4A, che indica dove aggiungere il file; vedere anche la sezione Come si aggiunge del testo extra in po4a(7).

-A, --addendum-charset
    Set di caratteri degli addenda. Tutti gli addenda devono usare la stessa codifica.

-m, --master
    File contenente il documento originale da tradurre.

-M, --master-charset
    Set di caratteri del file contenente il documento da tradurre.

-l, --localized
    File su cui scrivere il documento tradotto.

-L, --localized-charset
    Set di caratteri del file contenente il documento tradotto.

-p, --po
    File da cui leggere il catalogo messaggi.

-o, --option
    Opzioni extra da passare al plugin di formato. Vedere la documentazione per ogni plugin per ulteriori informazioni sulle opzioni valide e sul loro significato. Per esempio si può passare "-o tablecells" al parser AsciiDoc mentre il parser di testo semplice accetta "-o tabs=split".

-k, --keep
    Minima percentuale di traduzione richiesta affinché il file generato sia conservato e scritto su disco. Il valore predefinito è 80, vale a dire che una traduzione viene accettata solo se è completa almeno per l'80%.

-w, --width
    Colonna a cui mandare a capo il file risultante.

-h, --help
    Mostra un breve messaggio di aiuto.

--help-format
    Elenca i formati di documento gestiti da po4a.

-V, --version
    Mostra la versione del programma ed esce.

-v, --verbose
    Rende il programma più prolisso.

-d, --debug
    Mostra delle informazioni di debug

--porefs type[,wrap|nowrap]
    Specifica il formato di riferimento. L'argomento type può essere un valore qualsiasi tra: never per non produrre nessun riferimento, file per specificare solo il file senza il numero di riga, counter per rimpiazzare il numero di riga con un contatore incrementale, e full per includere il riferimento completo (valore predefinito: full).

    L'argomento può essere seguito da una virgola e da una delle due parole chiave wrap o nowrap. I riferimenti, come impostazione predefinita, vengono scritti su una singola riga. L'opzione wrap manda a capo i riferimento su più righe, per emulare il comportamento degli strumenti di gettext (xgettext e msgmerge). Questa opzione diventerà predefinita in una versione futura, perchè è il comportamento più logico. L'opzione nowrap è disponibile per permettere agli utenti che lo desiderassero, di mantenere il vecchio comportamento.

--wrap-po no|newlines|numero (predefinito: 76)
    Specifica come il file po deve essere mandato a capo. Consente di scegliere tra file con righe mandate capo ben formattate e quindi ben leggibili ma che potrebbero portare a conflitti in git o file che sono più facili da gestire automaticamente, ma più difficili da leggere per le persone.

    Storicamente, la suite gettext riformattava i file po alla 77a colonna per questioni estetiche. Questa opzione specifica il comportamento di po4a. Se impostato su un valore numerico, po4a manderà a capo il file po a questo numero di colonna e dopo i caratteri di a capo nel testo. Se impostato su newlines, po4a dividerà msgstr e msgstr solo dopo i caratteri di a capo nel testo. Se impostato su no, po4a non metterà a capo nel testo del file po. L'andare a capo nei commenti di riferimento viene controllato dall'opzione --porefs.

    Si noti che questa opzione non ha alcun impatto sul modo in cui msgstr e msgstr vanno a capo, ovvero su come i caratteri di a capo vengono aggiunti al contenuto di queste stringhe.

Aggiungere contenuti (oltre alle traduzioni) ai file generati
Per inserire dei contenuti aggiuntivi nel documento generato (come il nome del traduttore e altre informazioni sulla traduzione), usare l'opzione --addendum.

La prima riga dell'addendum deve contenere un header, che indica la posizione in cui va inserito (può essere prima o dopo una determinata parte del documento). Il resto del file viene copiato testualmente nel documento, senza ulteriori manipolazioni.

Osservare che, se po4a-translate non riesce ad aggiungere anche uno solo dei file specificati, la traduzione viene scartata completamente: il file mancante potrebbe contenere il nome del traduttore e questo impedirebbe agli utenti di contattarlo per segnalare errori nella traduzione).

L'header deve seguire una sintassi piuttosto rigida. Vedere anche la pagina di manuale po4a(7) per maggiori informazioni sull'uso degli addenda.

VEDERE ANCHE
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORI
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUZIONE
 Danilo Piazzalunga <danilopiazza@libero.it>
 Marco Ciampa <ciampix@posteo.net>

COPYRIGHT E LICENZA
Copyright 2002-2020 by SPI, inc.

Questo programma è software libero; è lecito ridistribuirlo o modificarlo secondo i termini della licenza GPL (vedere il file COPYING).